"use client"

import { Icons } from "@/components/icons"
import { Alert, AlertDescription, AlertTitle } from "@/components/ui/alert"
import { Button } from "@/components/ui/button"
import Link from "next/link"

export default function Error({
    error,
    reset,
}: {
    error: Error
    reset: () => void
}) {
    return (
        <div className="flex h-[80vh] w-full flex-col items-center justify-center">
            <Alert className="my-6 w-[40%]">
                <Icons.terminal className="h-4 w-4" />
                <AlertTitle>{error.name}</AlertTitle>
                <AlertDescription>{error.message}</AlertDescription>
            </Alert>

            <div className="mt-5 flex items-center">
                <Button onClick={() => reset()} className="ml-3">
                    Try again
                </Button>
            </div>

            <div className="mt-5 flex items-center">
                <Link href="/home">
                    <Button size="lg">
                        Back to Home Page
                    </Button>
                </Link>
            </div>
        </div>
    )
}