import { Gweet, Like, Media, Regweet } from "@prisma/client"

import { IUser } from "@/components/profile/types"

export interface IFeed {
    id: number
}

export interface IGweet extends Gweet {
    author: IUser
    quotedGweet: IGweet
    likes: ILike[]
    media: IMedia[]
    regweets: IRegweet[]
    comment: IGweet
    allQuotes: IGweet[]
    allComments: IGweet[]
}

export interface ILike extends Like {
    user: IUser
    gweet: IGweet
}

export interface IMedia extends Media {
    gweet: IGweet
}

export interface IRegweet extends Regweet {
    user: IUser
}

export interface IInfiniteGweets {
    pages: {
        gweets: IGweet[]
        nextId?: string | undefined
        prevId?: string | undefined
    }[]
    pageParams: any
}